"""adding warning field

Revision ID: 309cf493a1e2
Revises: 8fdc843fc202
Create Date: 2022-10-20 10:25:05.014779

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.engine import reflection

# revision identifiers, used by Alembic.
revision = "309cf493a1e2"
down_revision = "8fdc843fc202"
branch_labels = None
depends_on = None


def get_tables(connection):
    inspector = reflection.Inspector.from_engine(connection)
    return inspector.get_table_names()


def _table_has_column(connection, table, column):
    insp = reflection.Inspector.from_engine(connection)
    return any(column in col["name"] for col in insp.get_columns(table))

def upgrade():
    connection = op.get_bind()
    if not _table_has_column(connection, "annotation_table_metadata", "notice_text"):
        op.add_column(
            "annotation_table_metadata",
            sa.Column("notice_text", sa.Text(), nullable=True),
        )


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("annotation_table_metadata", "notice_text")
    # ### end Alembic commands ###
